--- src/VBox/Installer/darwin/VBoxStartupItems/VirtualBox/VirtualBox.orig	2011-08-15 19:38:17.000000000 -0500
+++ src/VBox/Installer/darwin/VBoxStartupItems/VirtualBox/VirtualBox	2011-08-15 19:38:17.000000000 -0500
@@ -22,46 +22,22 @@
     VBOXUSB="VBoxUSB"
 
     #
-    # Switch the binaries to the right architecture.
-    #
-    VBOX_ARCH=`uname -m`
-    if test "$VBOX_ARCH" = "x86_64"; then
-        VBOX_ARCH="amd64"
-    else
-        VBOX_ARCH="x86"
-    fi
-    for VBOX_TRG in `ls /Applications/VirtualBox.app/Contents/MacOS/*-${VBOX_ARCH}`;
-    do
-        VBOX_LINKNAME=`echo "$VBOX_TRG" | sed -e 's|-'"${VBOX_ARCH}"'$||' `
-        if test "$VBOX_LINKNAME" != "$VBOX_TRG"; then
-            rm -f "$VBOX_LINKNAME"
-            if ! ln -vh "$VBOX_TRG" "$VBOX_LINKNAME"; then
-                ConsoleMessage "Error: ln -vh $VBOX_TRG $VBOX_LINKNAME failed"
-                VBOX_RC=1
-            fi
-        else
-            ConsoleMessage "Error: Script error VBOX_TRG=$VBOX_TRG"
-            VBOX_RC=1
-        fi
-    done
-
-    #
     # Check that all the directories exist first.
     #
-    if [ ! -d /Library/Extensions/${VBOXDRV}.kext ]; then
-        ConsoleMessage "Error: /Library/Extensions/${VBOXDRV}.kext is missing"
+    if [ ! -d @KEXT_DIR@/${VBOXDRV}.kext ]; then
+        ConsoleMessage "Error: @KEXT_DIR@/${VBOXDRV}.kext is missing"
         VBOX_RC=1
     fi
-    if [ ! -d /Library/Extensions/${VBOXUSB}.kext ]; then
-        ConsoleMessage "Error: /Library/Extensions/${VBOXUSB}.kext is missing"
+    if [ ! -d @KEXT_DIR@/${VBOXUSB}.kext ]; then
+        ConsoleMessage "Error: @KEXT_DIR@/${VBOXUSB}.kext is missing"
         VBOX_RC=1
     fi
-    if [ ! -d /Library/Extensions/VBoxNetFlt.kext ]; then
-        ConsoleMessage "Error: /Library/Extensions/VBoxNetFlt.kext is missing"
+    if [ ! -d @KEXT_DIR@/VBoxNetFlt.kext ]; then
+        ConsoleMessage "Error: @KEXT_DIR@/VBoxNetFlt.kext is missing"
         VBOX_RC=1
     fi
-    if [ ! -d /Library/Extensions/VBoxNetAdp.kext ]; then
-        ConsoleMessage "Error: /Library/Extensions/VBoxNetAdp.kext is missing"
+    if [ ! -d @KEXT_DIR@/VBoxNetAdp.kext ]; then
+        ConsoleMessage "Error: @KEXT_DIR@/VBoxNetAdp.kext is missing"
         VBOX_RC=1
     fi
 
@@ -93,26 +69,26 @@
     #
     if [ $VBOX_RC -eq 0 ]; then
         ConsoleMessage "Loading ${VBOXDRV}.kext"
-        if ! kextload /Library/Extensions/${VBOXDRV}.kext; then
-            ConsoleMessage "Error: Failed to load /Library/Extensions/${VBOXDRV}.kext"
+        if ! kextload @KEXT_DIR@/${VBOXDRV}.kext; then
+            ConsoleMessage "Error: Failed to load @KEXT_DIR@/${VBOXDRV}.kext"
             VBOX_RC=1
         fi
 
         ConsoleMessage "Loading ${VBOXUSB}.kext"
-        if ! kextload -d /Library/Extensions/${VBOXDRV}.kext /Library/Extensions/${VBOXUSB}.kext; then
-            ConsoleMessage "Error: Failed to load /Library/Extensions/${VBOXUSB}.kext"
+        if ! kextload -d @KEXT_DIR@/${VBOXDRV}.kext @KEXT_DIR@/${VBOXUSB}.kext; then
+            ConsoleMessage "Error: Failed to load @KEXT_DIR@/${VBOXUSB}.kext"
             VBOX_RC=1
         fi
 
         ConsoleMessage "Loading VBoxNetFlt.kext"
-        if ! kextload -d /Library/Extensions/${VBOXDRV}.kext /Library/Extensions/VBoxNetFlt.kext; then
-            ConsoleMessage "Error: Failed to load /Library/Extensions/VBoxNetFlt.kext"
+        if ! kextload -d @KEXT_DIR@/${VBOXDRV}.kext @KEXT_DIR@/VBoxNetFlt.kext; then
+            ConsoleMessage "Error: Failed to load @KEXT_DIR@/VBoxNetFlt.kext"
             VBOX_RC=1
         fi
 
         ConsoleMessage "Loading VBoxNetAdp.kext"
-        if ! kextload -d /Library/Extensions/${VBOXDRV}.kext /Library/Extensions/VBoxNetAdp.kext; then
-            ConsoleMessage "Error: Failed to load /Library/Extensions/VBoxNetAdp.kext"
+        if ! kextload -d @KEXT_DIR@/${VBOXDRV}.kext @KEXT_DIR@/VBoxNetAdp.kext; then
+            ConsoleMessage "Error: Failed to load @KEXT_DIR@/VBoxNetAdp.kext"
             VBOX_RC=1
         fi
 
